cudaChannelFormatKind
Date: 2010-04-21

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jcuda.runtime
Class cudaChannelFormatKind

    java.lang.Object
      jcuda.runtime.cudaChannelFormatKind

    public class cudaChannelFormatKind

extends java.lang.Object

Channel formats.
Most comments are taken from the CUDA reference manual.

See Also:
  `cudaChannelFormatDesc`

Field Summary
`static int` | `cudaChannelFormatKindFloat` Float channel format
`static int` | `cudaChannelFormatKindNone` No channel format
`static int` | `cudaChannelFormatKindSigned` Signed channel format
`static int` | `cudaChannelFormatKindUnsigned` Unsigned channel format

Method Summary
`static java.lang.String` | `stringFor(int f)` Returns the String identifying the given cudaChannelFormatKind

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cudaChannelFormatKindSigned

    public static final int cudaChannelFormatKindSigned

  Signed channel format

  See Also:
    Constant Field Values

### cudaChannelFormatKindUnsigned

    public static final int cudaChannelFormatKindUnsigned

  Unsigned channel format

  See Also:
    Constant Field Values

### cudaChannelFormatKindFloat

    public static final int cudaChannelFormatKindFloat

  Float channel format

  See Also:
    Constant Field Values

### cudaChannelFormatKindNone

    public static final int cudaChannelFormatKindNone

  No channel format

  See Also:
    Constant Field Values

Method Detail

### stringFor

    public static java.lang.String stringFor(int f)

  Returns the String identifying the given cudaChannelFormatKind

  Parameters:
    `f` - The cudaChannelFormatKind
  Returns:
    The String identifying the given cudaChannelFormatKind

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD